# AIS2D_TypeOfDetection.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | AIS2D_TypeOfDetection { AIS2D_TOD_OBJECT, AIS2D_TOD_PRIMITIVE, AIS2D_TOD_ELEMENT, AIS2D_TOD_VERTEX, AIS2D_TOD_NONE }

## Enumeration Type Documentation

enum AIS2D_TypeOfDetection

Enumeration values:

  AIS2D_TOD_OBJECT |
  AIS2D_TOD_PRIMITIVE |
  AIS2D_TOD_ELEMENT |
  AIS2D_TOD_VERTEX |
  AIS2D_TOD_NONE |